# Uses of Interface
org.eclipse.e4.core.di.IBinding

Packages that use IBinding
Package
Description
org.eclipse.e4.core.di
Application programming interfaces describing dependency injection framework.

## Uses of IBinding in org.eclipse.e4.core.di

Methods in org.eclipse.e4.core.di that return IBinding
Modifier and Type
Method
Description
`IBinding`
IInjector.`addBinding(Class<?> clazz)`
Creates a binding for the specified class and adds it to the injector.
`IBinding`
IInjector.`addBinding(IBinding binding)`
Adds binding to the injector.
`IBinding`
IBinding.`implementedBy(Class<?> clazz)`
Creates a binding for the specified class
`IBinding`
IBinding.`named(String name)`
Creates a binding for the specified name.
Methods in org.eclipse.e4.core.di with parameters of type IBinding
Modifier and Type
Method
Description
`IBinding`
IInjector.`addBinding(IBinding binding)`
Adds binding to the injector.